<!-- <mat-toolbar color="primary">
  <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
    <mat-icon>menu</mat-icon>
  </button>
  Mean App
</mat-toolbar> -->

<div class="login-page">
  <mat-card class="mat-elevation-z12">
    <mat-card-title style="text-align:center;">Login/Register</mat-card-title>
    <mat-tab-group mat-stretch-tabs class="example-stretched-tabs">
      <mat-tab label="Login">
          <mat-card-content>
            <form action="" #loginForm="ngForm" (ngSubmit)="loginData(loginForm)">
              <mat-form-field>
                <input
                  matInput
                  placeholder="Email"
                  required
                  name="email"
                  ngModel
                  #email="ngModel">
                  <mat-error *ngIf="email.invalid">Email is required</mat-error>
                <mat-icon matSuffix>email</mat-icon>
              </mat-form-field>
              <mat-form-field>
                <input
                  matInput
                  placeholder="Password"
                  type="password"
                  required
                  minlength="6"
                  name="password"
                  ngModel
                  #password="ngModel">
                  <mat-error
                    *ngIf="password.errors && password.errors.required">
                    Password is required
                  </mat-error>
                  <mat-error
                    *ngIf="password.errors && password.errors.minlength">
                    Password must be of length 6
                  </mat-error>
                <mat-icon matSuffix>lock</mat-icon>
              </mat-form-field>
              <mat-checkbox color="primary">Remember Me!</mat-checkbox>
              <button
                mat-raised-button
                color="primary"
                class="login-button">
                Login In
              </button>

              <button
                mat-raised-button
                class="login-button" >
                Login with Google
              </button>

            </form>
          </mat-card-content>
      </mat-tab>
      <mat-tab label="Register">
        <mat-card-content>
          <form action="" (ngSubmit)="register(registerForm)" #registerForm="ngForm">
            <mat-form-field>
              <input
                matInput
                placeholder="User Name"
                required
                name="username"
                ngModel
                #username="ngModel">
              <mat-icon matSuffix>perm_identity</mat-icon>
              <mat-error
                *ngIf="username.invalid">
                Username is required
              </mat-error>

            </mat-form-field>
            <mat-form-field>
              <input
                matInput
                placeholder="Email"
                required
                name="email"
                ngModel
                #email="ngModel">
                <mat-error *ngIf="email.invalid">Email is required</mat-error>
              <mat-icon matSuffix>email</mat-icon>
            </mat-form-field>
            <mat-form-field>
              <input
                matInput
                placeholder="Password"
                type="password"
                required
                minlength="6"
                name="password"
                ngModel
                #password="ngModel">
                <mat-error
                  *ngIf="password.errors && password.errors.required">
                  Password is required
                </mat-error>
                <mat-error
                  *ngIf="password.errors && password.errors.minlength">
                  Password must be of length 6
                </mat-error>
              <mat-icon matSuffix>lock</mat-icon>

            </mat-form-field>
            <mat-form-field>
                <input
                matInput
                placeholder="Password"
                type="password"
                required
                minlength="6"
                name="repassword"
                ngModel
                #repassword="ngModel">
                <mat-error
                  *ngIf="repassword.errors && repassword.errors.required">
                  Re-Enter Password is required
                </mat-error>
              <mat-icon matSuffix>lock</mat-icon>
            </mat-form-field>
            <button
              mat-raised-button
              color="primary"
              class="login-button">
              Register
            </button>
          </form>
        </mat-card-content>
      </mat-tab>
    </mat-tab-group>
  </mat-card>
</div>
